org.hibernate.search.query.dsl.impl

## Enum ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE

- java.lang.Object
- - java.lang.Enum<ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE>
  - - org.hibernate.search.query.dsl.impl.ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE

- All Implemented Interfaces:
    Serializable, Comparable<ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE>
  Enclosing class:
    ConnectedMoreLikeThisQueryBuilder

      public static enum ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE
      extends Enum<ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE>

  We could encapsulate that into a MoreLikeThisContentObject but going for this approach for now to save memory pressure. If the code becomes too nasty, change it.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTITY`
    `ID`
    `READER`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE ID

    - #### ENTITY

          public static final ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE ENTITY

    - #### READER

          public static final ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE READER

    - #### STRING

          public static final ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE STRING

  - ### Method Detail

    - #### values

          public static ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE c : ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved